CREATE TABLE IF NOT EXISTS "ZkTecoDevices" (
    "Serial" TEXT NOT NULL CONSTRAINT "PK_ZkTecoDevices" PRIMARY KEY
);


CREATE TABLE IF NOT EXISTS "ZkTecoPeople" (
    "Id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "Uid" TEXT NOT NULL,
    "Serial" TEXT NOT NULL,
    FOREIGN KEY ("Serial") REFERENCES "ZkTecoDevices"("Serial") ON DELETE CASCADE
);


CREATE TABLE IF NOT EXISTS "ZkTecoTimeZones" (
    "Id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "Uid" TEXT NOT NULL,
    "Serial" TEXT NOT NULL,
    FOREIGN KEY ("Serial") REFERENCES "ZkTecoDevices"("Serial") ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS ZkTecoBioData (
    "UserUid" TEXT NOT NULL,
    "Pin" INTEGER NOT NULL,
    "No" INTEGER NOT NULL,
    "Index" INTEGER NOT NULL,
    "Valid" INTEGER NOT NULL,
    "Duress" INTEGER NOT NULL,
    "Type" INTEGER NOT NULL,
    "MajorVer" INTEGER NOT NULL,
    "MinorVer" INTEGER NOT NULL,
    "Format" INTEGER NOT NULL,
    "BioData" TEXT NOT NULL,
    PRIMARY KEY ("UserUid", "Type", "No", "Index"),
    FOREIGN KEY ("Pin") REFERENCES ZkTecoPeople(Id) ON DELETE CASCADE
);
